Passer au contenu
AchaduDevelopers
API opérationnelleAller sur le site Web
Tableau de bord
Developers/API/segment_create
Segments

Créer un segment

Créez une niche avec la configuration de votre vitrine.

POST/segmentssegments:write

Demande

namestring · bodyNom du segment.obligatoire
slugstring · bodyLimace publique.facultatif
descriptionstring · bodyDescription.facultatif
store_namestring · bodyNom de la vitrine.facultatif
store_taglinestring · bodyPhrase depuis la fenêtre.facultatif
store_colorstring · bodyCouleur principale.facultatif
auto_expandboolean · bodyPermet l'expansion automatique.facultatif
distributionstring · bodyStratégie de distribution.facultatif
waitlistboolean · bodyActive la file d'attente.facultatif

Exemple

curl
curl -X POST 'https://achadu.com/api/v1/segments' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "name": "My integration",
  "slug": "string",
  "description": "string",
  "store_name": "string"
}'

Réponse

201Ressource créée
4xxErreur avec le code, le message et request_id